Skip to main content
POST
/
o
/
{organisation_id}
/
projects
/
{project_id}
/
logs
Search project logs
curl --request POST \
  --url https://platform.versori.com/api/v2/o/{organisation_id}/projects/{project_id}/logs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "build": true,
  "startTime": "<string>",
  "endTime": "<string>",
  "order": "<string>",
  "latest": true,
  "nextToken": "<string>",
  "first": 123,
  "filters": [
    {
      "value": "<string>",
      "match": "<string>",
      "field": "<string>"
    }
  ]
}
'
{
  "logs": [
    {
      "timestamp": "<string>",
      "severity": "<string>",
      "message": "<string>",
      "error": "<string>",
      "httpRequest": {},
      "fields": {}
    }
  ],
  "nextToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.versori.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

organisation_id
string<ulid>
required
project_id
string<ulid>
required

Query Parameters

project_env
string

Body

application/json
build
boolean
startTime
string<timestamp>
endTime
string<timestamp>
order
string
latest
boolean

only include projcet logs from the latest version

nextToken
string
first
integer
filters
object[]

Response

OK

logs
object[]
required
nextToken
string